<?php

ini_set("zlib.output_compression", 0);  // off
ini_set("implicit_flush", 1);  // on   
ob_implicit_flush(true);
ob_end_flush();
ob_start();

include 'admin/db.php';

error_reporting(E_ALL & ~E_WARNING & ~E_NOTICE & ~E_DEPRECATED);
ini_set('display_errors', 1);

ignore_user_abort(true);
ini_set('memory_limit', '2G');
ini_set('max_execution_time', 3600);
set_time_limit(3600);
?><!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <title>Mechbunny Cam Aggregator Update</title>
        <link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/bootswatch/3.3.6/united/bootstrap.min.css" />
        <style type="text/css">
            .alert{margin-bottom:0}
            .notification .alert{padding:10px 15px}
        </style>
    </head>
    <body>

        <div class="container">
            <div class="well">

                <div class="row">
                    <div class="col-xs-12">
                        <div class="page-header text-center">
                            <h1>Mechbunny Cam Aggregator Update 1.0.3</h1>
                        </div>
                    </div>
                </div>

                <div class="row">

                    <?
                    $run_update = true;
                    $error = false;

                    if ($_POST['startUpgrade'] && $run_update === true) {

						dbQuery("ALTER TABLE `paysites` ADD `slug` VARCHAR(255) NOT NULL AFTER `name`;");
						dbQuery("UPDATE `paysites` SET `slug` = LOWER(`name`);");
						dbQuery("UPDATE `paysites` SET `slug` = 'streamate' WHERE `slug` = 'cambuilder/streamate';");
						dbQuery("UPDATE `paysites` SET preferred = 'iframe_embed' WHERE record_num = 11;");
						dbQuery("UPDATE paysites SET preferred = 'iframe_embed_revshare' WHERE record_num = '10';");
						dbQuery("ALTER TABLE `paysites` ADD `preferredLink` VARCHAR(255) NOT NULL AFTER `preferred`;");
						dbQuery("UPDATE `paysites` SET preferredLink = 'chat_room_url';");
						
						if (!$error) { 
                            setMessage('<div class="alert alert-success">Upgrade completed</div>', 'alert');
                            setMessage('<div class="alert alert-warning"><strong>WARNING: remove "update.php" file from your server!</strong></div>', 'alert');
                        }
                        setMessage('<div class="alert alert-info"><a href="' . $basehttp . '">Go to homepage</a> or <a href="' . $basehttp . '/admin/">go to Admin Area</a></div>', 'alert');
                    }
                    ?>

                    <?php echo getMessages(); ?>

                </div>

                <?php if ($run_update === true && !$_POST['startUpgrade']) { ?>
                    <div class="row">
                        <div class="col-xs-12">
                            <form action="" method="post" class="text-center">
                                <input type="hidden" name="startUpgrade" value="1">
                                <button type="submit" class="btn btn-primary btn-lg">Start upgrade</button>
                            </form>
                        </div>
                    </div>
                <?php } ?>
            </div>
        </div>

    </body>
</html>
<?php ob_flush(); flush(); ?>
